import {requestInstance} from "@/service";
import {useRootStore} from "@/stores/useStore";

export function getDataBaseWatchSituation() {
 return requestInstance({
  url:'/ptjkInterface/selectPtjlDatabasejk',
  data:{

  }
 })
}


export function getDataBaseProcessCheck() {
 return requestInstance({
  url:'/ptjkInterface/selectPtjlDatabasejc',
  data:{
   appley:useRootStore().ptjk_userkeycode
  }
 })
}
export function getDatabaseTableData(params){
 return requestInstance({
  url:'/catalog/queryDatabaseList',
  data:{
   ...params
  }
 })
}
export function getDataBaseProcess(TYPE){
 return requestInstance({
  url:'/ptjk-databasejc/selectDatabasejc',
  data:{
   TYPE
  }
 })
}
export function getDataBaseDetailInfo(params){
 return requestInstance({
  url:'/catalog/queryTableDiskList',
  data:{
   ...params
  }
 })
}
export function getDetailOptions(params){
 return requestInstance({
  url:'/catalog/queryTableDiskSelectList',
  data:{
  ...params
  }
 })
}
